%define debug_package %{nil}
%define alt_name XEphem

Name: xephem
Version: 4.2.0
Release: 1%{?dist}
Summary: XEphem is an interactive astronomy program for all UNIX platforms.

License: MIT
# URL: http://www.clearskyinstitute.com/xephem/xephem.html
URL: https://github.com/XEphem/XEphem
# Source0: http://www.clearskyinstitute.com/xephem/xephem-%%{version}.tar.gz
# Source0: https://github.com/XEphem/XEphem/archive/refs/tags/%%{version}.tar.gz
Source0: %{alt_name}-%{version}.tar.gz
Source1: XEphem.desktop
Source2: XEphem.png
# Source3: v3.4-catalogs.tar.bz2
Patch0: xephem-strptime.patch
# Provides: perl(cgi-lib.pl)

BuildRequires: libX11-devel
BuildRequires: motif-devel
# BuildRequires: lesstif-devel
BuildRequires: libXmu-devel
BuildRequires: openssl-devel
BuildRequires: groff
BuildRequires: zlib
BuildRequires: libpng
BuildRequires: gcc
BuildRequires: make

Requires: motif


%description
XEphem is an interactive astronomy program for all UNIX platforms. Originally
written by Elwood Downey in the 1990s, it has graciously been released under the
MIT License. It is now maintained by an "XEphem" organization, with its source
code residing at https://github.com/XEphem/XEphem.


%prep
%setup -q -n XEphem-%{version}
# %%setup -a3 -n xephem-%%{version}
%patch 0 -p1

%build
# cd libastro
# make
# cd ../libip
# make
# cd ../liblilxml
# make
# cd ../libjpegd
# make
cd GUI/xephem
# %%ifarch x86_64
# cat Makefile | sed -e "s#lib/libXm#lib64/libXm#g" > Makefile.new
# mv Makefile.new Makefile
# %%endif
#xmkmf
make MOTIFL=%{motifl}
gzip -c %{name}.man > %{name}.1x.gz

%install
XS=GUI/xephem
XL=$RPM_BUILD_ROOT/usr/share/xephem

# mkdir -p $RPM_BUILD_ROOT/usr/bin
# mkdir -p $RPM_BUILD_ROOT/usr/share/xephem
# mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
# mkdir -p $RPM_BUILD_ROOT/usr/share/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps

mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1x/

cp $RPM_SOURCE_DIR/XEphem.desktop $RPM_BUILD_ROOT/usr/share/applications/.
cp $RPM_SOURCE_DIR/XEphem.png $RPM_BUILD_ROOT/usr/share/pixmaps/.
# cp *.edb $XS/catalogs/

# install -s -m 755 $XS/xephem $RPM_BUILD_ROOT/usr/bin/xephem

# install -m 644 $XS/xephem.man $RPM_BUILD_ROOT/usr/share/man/man1/xephem.1x

# install -d -m 755 $XL/auxil
# rm -f $XL/auxil/xephem_skyhist
# install -d -m 755 $XL/catalogs
# install -d -m 755 $XL/fifos
# install -d -m 755 $XL/fits
# install -d -m 755 $XL/lo
# install -m 644 $XS/auxil/*		$XL/auxil
# install -m 644 $XS/catalogs/*		$XL/catalogs
# install -m 644 $XS/fifos/*		$XL/fifos
# cp -a			 $XS/lo/*		$XL/lo/.

# echo "XEphem.ShareDir: /usr/share/xephem" > $RPM_BUILD_ROOT/usr/share/X11/app-defaults/XEphem

cd GUI/xephem
install -m 0755 %{name} %{buildroot}/%{_bindir}
install -m 0444 %{name}.1x.gz %{buildroot}/%{_mandir}/man1x/


%files
%doc LICENSE
%doc README.md
%{_bindir}/xephem
%{_mandir}/man1x/xephem.1x.gz
# %%{_datadir}/xephem
# %%{_datadir}/X11/app-defaults/XEphem
%{_datadir}/applications/*
%{_datadir}/pixmaps/XEphem.png

%changelog
* Sun Aug 25 2024 J. Randall Owens <jrowens@ghiapet.net> - 4.2.0-0
- update to version 4.2.0
- attempt to get building again

* Tue Dec 13 2022 J. Randall Owens <jrowens@ghiapet.net> - 4.1.0-0
- update to version 4.1.0
- overhaul build process

* Thu Sep 13 2018 J. Randall Owens <jrowens@deneb.ghiapet.net> - 3.7.7-5
- BuildRequire gcc for F29
- change from lesstif to now-available motif

* Fri Feb  9 2018 J. Randall Owens <jrowens@deneb.ghiapet.net> - 3.7.7-4
- clean up spec file to current standards

* Wed Jun 29 2016 J. Randall Owens <jrowens@ghiapet.net> - 3.7.7-3
- remove icon suffix in desktop entry

* Fri Jun 24 2016 J. Randall Owens <jrowens@ghiapet.net> - 3.7.7-2
- disable broken debug

* Mon Aug 17 2015 J. Randall Owens <jrowens@ghiapet.net> - 3.7.7-1
- update to version 3.7.7

* Wed Feb  5 2014 J. Randall Owens <jrowens@rs3.ghiapet.net> - 3.7.6-2
- actually use new version 3.7.6 now

* Fri Feb  1 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 3.7.6-1
- update to version 3.7.6

* Thu Aug 25 2011 J. Randall Owens <jrowens@ghiapet.net> - 3.7.5-1
- update to 3.7.5 release

* Fri Jan 28 2011 J. Randall Owens <jrowens@ghiapet.net> - 3.7.4.99.12-1
- update to 3.7.5-RC12

* Fri Dec 17 2010 J. Randall Owens <jrowens@ghiapet.net> - 3.7.4.99.11-1
- update to 3.7.5-RC11

* Mon Aug  9 2010 J. Randall Owens <jrowens@ghiapet.net> - 3.7.4.99.9-1
- update to 3.7.5-RC9

* Sat Jul 24 2010 J. Randall Owens <jrowens@ghiapet.net> - 3.7.4.99.8-1
- update to 3.7.5-RC8

* Sun Jun 13 2010 J. Randall Owens <jrowens@ghiapet.net> - 3.7.4.99.7-1
- try version 3.7.5-RC7

* Sun Jun 13 2010 J. Randall Owens <jrowens@ghiapet.net> - 3.7.4-1
- update to version 3.7.4
- rebuild for GhiaPet/Fedora 13

* Tue Dec 29 2009 J. Randall Owens <jrowens@ghiapet.net> - 3.7.2-5
- add left-out BuildRequires

* Thu Aug 09 2007 tim pickering <tim@mmto.org>
- update to 3.7.2

* Mon May 15 2006 tim pickering <tim@mmto.org>
- build under FC 5

* Tue Feb  7 2006 tim pickering <tim@mmto.org>
- update to 3.7.1

* Tue Aug 16 2005 tim pickering <tim@mmto.org>
- update to 3.7

* Wed Jun 22 2005 tim pickering <tim@mmto.org>
- update to 3.6.4

* Sun Feb 20 2005 tim pickering <tim@mmto.org>
- update to 3.6.3

* Wed Oct 20 2004 tim pickering <tim@mmto.org>
- update to 3.6.1; build under FC 3

* Mon Aug 16 2004 tim pickering <tim@mmto.org>
- update to 3.6; build under FC 2

* Fri Jan 23 2004 tim pickering <tim@mmto.org>
- build under FC 1

* Fri Aug 22 2003 tim pickering <tim@mmto.org>
- build under RH 9

* Mon Sep 30 2002 tim pickering <tim@mmto.org>
- build under RH 8.0

* Mon Feb 04 2002 <tim@as.arizona.edu>
- New version 3.5.2

* Sun Oct 21 2001 <ckulesa@as.arizona.edu>
- New version 3.5

* Thu Dec 7 2000 <ckulesa@as.arizona.edu>
- New version 3.4
- Redhat 7.0 and 6.x support
- Built dynamically against OpenMotif 2.1.30 (Redhat 7.0 Powertools)
- Discontinued use of wmconfig in favor of GNOME and KDE desktop links
- New PNG and XPM icons for GNOME and KDE
- Now shares "Astro" desktop folder with Tim Pickering's IRAF packages

* Thu Apr 13 2000 <ckulesa@as.arizona.edu>
- Linked against Lesstif 0.89.9
- Redhat 6.2 version
- Uses wmconfig for automatic desktop entries

* Mon Nov 1 1999 <ckulesa@as.arizona.edu>
- RPM-ification
- Statically linked against Lesstif 0.86
